/api/v1/reservations/

Create a new reservation.

Required fields: id, host_id, check_in_date, check_out_date, guest, properties.

Guest must include at least id and email. If a guest with the given id already exists for this host, it will be updated with the provided data. Otherwise, a new guest is created.

Properties is a list where each item must include at least id and name. Each property is upserted: updated if it exists, created if it does not.

invoice_number defaults to the reservation id if not provided.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
guest
object

Required on create. Guest data with at least id and email. If a guest with this id already exists, it will be updated; otherwise a new guest is created.

properties
array of objects

Required on create. List of property objects, each with at least id and name. If a property with a given id already exists, it will be updated; otherwise a new property is created.

properties
string
length ≥ 1

Required on create. The host identifier from your system.

string

Optional. Defaults to the reservation id if not provided.

date
required
date
required
string
length ≥ 1

Required on create. Your unique reservation identifier.

string | null
string | null
enum
  • paid_in_full - Paid in Full
  • not_paid - Not Paid
  • partially_paid - Partially Paid
  • refunded - Refunded
  • partially_refunded - Partially Refunded
  • cancelled - Cancelled
  • deleted - Deleted
string | null
string | null
boolean
date-time | null
string | null
boolean
date-time | null
int64 | null
0 to 4294967295
int64 | null
0 to 4294967295
int64 | null
0 to 4294967295
string | null
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json